### Hierarchy

- Error
  - ArgumentError
  - IOError
  - IllegalOperationError
  - RangeError
  - SecurityError
  - TypeError

## Index

### Constructors

- constructor

### Properties

- errorID
- message
- name

### Methods

- getStackTrace

## Constructors

### constructor

- new Error(message?: string, id?: number): Error

- - Defined in lib/openfl/errors/Error.d.ts:13

  #### Parameters

  - ##### Optional message: string

  - ##### Optional id: number

  #### Returns Error

## Properties

### errorID

errorID: number

- Defined in lib/openfl/errors/Error.d.ts:11

### message

message: string

- Defined in lib/openfl/errors/Error.d.ts:12

### name

name: string

- Defined in lib/openfl/errors/Error.d.ts:13

## Methods

### getStackTrace

- getStackTrace(): string

- - Defined in lib/openfl/errors/Error.d.ts:22

  #### Returns string

Generated using TypeDoc